io.undertow.websockets.client

## Class WebSocketClient

- java.lang.Object
- - io.undertow.websockets.client.WebSocketClient

    public class WebSocketClient
    extends Object

The Web socket client.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `WebSocketClient.ConnectionBuilder`

### Field Summary

Fields
`static String` `BIND_PROPERTY`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static org.xnio.IoFuture<WebSocketChannel>` `connect(org.xnio.XnioWorker worker, ByteBufferPool bufferPool, org.xnio.OptionMap optionMap, URI uri, WebSocketVersion version)` Deprecated.
`static org.xnio.IoFuture<WebSocketChannel>` `connect(org.xnio.XnioWorker worker, ByteBufferPool bufferPool, org.xnio.OptionMap optionMap, URI uri, WebSocketVersion version, WebSocketClientNegotiation clientNegotiation)` Deprecated.
`static org.xnio.IoFuture<WebSocketChannel>` `connect(org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap optionMap, InetSocketAddress bindAddress, URI uri, WebSocketVersion version, WebSocketClientNegotiation clientNegotiation, Set<ExtensionHandshake> clientExtensions)` Deprecated.
`static org.xnio.IoFuture<WebSocketChannel>` `connect(org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap optionMap, URI uri, WebSocketVersion version)` Deprecated.
`static org.xnio.IoFuture<WebSocketChannel>` `connect(org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap optionMap, URI uri, WebSocketVersion version, WebSocketClientNegotiation clientNegotiation)` Deprecated.
`static org.xnio.IoFuture<WebSocketChannel>` `connect(org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap optionMap, URI uri, WebSocketVersion version, WebSocketClientNegotiation clientNegotiation, Set<ExtensionHandshake> clientExtensions)` Deprecated.
`static WebSocketClient.ConnectionBuilder` `connectionBuilder(org.xnio.XnioWorker worker, ByteBufferPool bufferPool, URI uri)` Creates a new connection builder that can be used to create a web socket connection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BIND_PROPERTY

    public static final String BIND_PROPERTY

See Also:
  Constant Field Values

### Method Detail

#### connect

    @Deprecated
    public static org.xnio.IoFuture<WebSocketChannel> connect(org.xnio.XnioWorker worker,
                                                                          ByteBufferPool bufferPool,
                                                                          org.xnio.OptionMap optionMap,
                                                                          URI uri,
                                                                          WebSocketVersion version)

Deprecated.

#### connect

    @Deprecated
    public static org.xnio.IoFuture<WebSocketChannel> connect(org.xnio.XnioWorker worker,
                                                                          org.xnio.ssl.XnioSsl ssl,
                                                                          ByteBufferPool bufferPool,
                                                                          org.xnio.OptionMap optionMap,
                                                                          URI uri,
                                                                          WebSocketVersion version)

Deprecated.

#### connect

    @Deprecated
    public static org.xnio.IoFuture<WebSocketChannel> connect(org.xnio.XnioWorker worker,
                                                                          ByteBufferPool bufferPool,
                                                                          org.xnio.OptionMap optionMap,
                                                                          URI uri,
                                                                          WebSocketVersion version,
                                                                          WebSocketClientNegotiation clientNegotiation)

Deprecated.

#### connect

    @Deprecated
    public static org.xnio.IoFuture<WebSocketChannel> connect(org.xnio.XnioWorker worker,
                                                                          org.xnio.ssl.XnioSsl ssl,
                                                                          ByteBufferPool bufferPool,
                                                                          org.xnio.OptionMap optionMap,
                                                                          URI uri,
                                                                          WebSocketVersion version,
                                                                          WebSocketClientNegotiation clientNegotiation)

Deprecated.

#### connect

    @Deprecated
    public static org.xnio.IoFuture<WebSocketChannel> connect(org.xnio.XnioWorker worker,
                                                                          org.xnio.ssl.XnioSsl ssl,
                                                                          ByteBufferPool bufferPool,
                                                                          org.xnio.OptionMap optionMap,
                                                                          URI uri,
                                                                          WebSocketVersion version,
                                                                          WebSocketClientNegotiation clientNegotiation,
                                                                          Set<ExtensionHandshake> clientExtensions)

Deprecated.

#### connect

    @Deprecated
    public static org.xnio.IoFuture<WebSocketChannel> connect(org.xnio.XnioWorker worker,
                                                                          org.xnio.ssl.XnioSsl ssl,
                                                                          ByteBufferPool bufferPool,
                                                                          org.xnio.OptionMap optionMap,
                                                                          InetSocketAddress bindAddress,
                                                                          URI uri,
                                                                          WebSocketVersion version,
                                                                          WebSocketClientNegotiation clientNegotiation,
                                                                          Set<ExtensionHandshake> clientExtensions)

Deprecated.

#### connectionBuilder

    public static WebSocketClient.ConnectionBuilder connectionBuilder(org.xnio.XnioWorker worker,
                                                                      ByteBufferPool bufferPool,
                                                                      URI uri)

Creates a new connection builder that can be used to create a web socket connection.

Parameters:
  `worker` - The XnioWorker to use for the connection
  `bufferPool` - The buffer pool
  `uri` - The connection URI
Returns:
  The connection builder